#ifndef _incl_subset
#define _incl_subset

#include "macros.h"
#include "types.h"
#include "consts.h"

#include "par.h"

/* range is [ first, last ), i.e. first <= point < last */
/* also, points here start counting at 0, not 1 */

typedef struct
{
    float *store;
    int *first;
    int *last;
}   Subset_info;

extern Status extract_subset
	(Par_info *par_info, Subset_info *subset_info, String error_msg);

#endif /* _incl_subset */
