#!/usr/bin/env python
# encoding: utf-8
"""
new_unblock.py

Created by Daniel O'Donovan on 2008 sometime.
Copyright (c) 2008 University of Cambridge. All rights reserved.
"""

import sys, os, subprocess

if __name__ == '__main__':

    if len( sys.argv ) != 2:
        print 'Fatal error: correct usage: new_unblock <unblock script>'
        sys.exit()
        
    subprocess.call( ['unblock_bin', sys.argv[1] ] )
    
    ub_file = open( sys.argv[1], 'r' )
    lines = ub_file.readlines()
    ub_file.close()
    
    for line in lines:
        if line.startswith('input'):
            in_par = line.strip('input ').strip()
        if line.startswith('output'):
            out_ser = line.strip('output ').strip()
            
    out_par = out_ser + '.par'
    
    in_file = open( in_par, 'r')
    lines = in_file.readlines()
    in_file.close()

    new_lines = []
    for line in lines:
        if line.startswith('file'):
            line = 'file %s' % (os.getcwd() + '/' + out_ser )

        if not (line.startswith('!') or line.startswith('block')):
            new_lines.append( line )
            
    
    out_file = open( out_par, 'w')
    out_file.writelines( new_lines )
    out_file.close()