#ifndef _incl_defns
#define _incl_defns

typedef struct
{
    int ndim;
    int *block_size;
    int *npoints;
}   Size_info;

typedef struct
{
    float *data;
}   Store_info;

typedef struct
{
    int *dim_extr;
    int *first;
    int *last;
    int *step;
}   Extract_info;

typedef struct
{
    String name;
    FILE *file;
    Bool swapped;
    Bool integer;
    Bool blocked;
    int header;
    Bool deflated;
    int dir_size;
    int byte_size;
}   File_info;

typedef struct
{
    Bool have_param;
    float param;
    Bool have_sigma;
    float sigma;
}   Param_info;

#endif /* _incl_defns */
