#ifndef _incl_param_value
#define _incl_param_value

#include "macros.h"
#include "types.h"

/* baseline_popup */
EXTERN Param_value baseline_file;
EXTERN Param_value half_width;
EXTERN Param_value degree_order;
EXTERN Param_value baseline_used;
EXTERN Param_value base_fit_used;
/* display_popup */
EXTERN Param_value display_width;
EXTERN Param_value display_height;
EXTERN Param_value background_color;
/* extract_popup */
EXTERN Param_value param_file;
EXTERN Param_value data_scale;
EXTERN Param_value plane_name;
EXTERN Param_value plane_dirns;
EXTERN Param_value plane_subset;
EXTERN Param_value plane_thick;
EXTERN Param_value plane_point;
EXTERN Param_value plane_ref;
EXTERN Param_value first_points;
EXTERN Param_value last_points;
EXTERN Param_value step_points;
EXTERN Param_value script_file;
/* fit_popup */
EXTERN Param_value fit_width;
EXTERN Param_value fit_height;
EXTERN Param_value fit_method;
/* fold_popup */
EXTERN Param_value x_fold;
EXTERN Param_value y_fold;
EXTERN Param_value x_flip;
EXTERN Param_value y_flip;
EXTERN Param_value x_width_min;
EXTERN Param_value x_width_max;
EXTERN Param_value x_width_value;
EXTERN Param_value x_center_min;
EXTERN Param_value x_center_max;
EXTERN Param_value x_center_value;
EXTERN Param_value y_width_min;
EXTERN Param_value y_width_max;
EXTERN Param_value y_width_value;
EXTERN Param_value y_center_min;
EXTERN Param_value y_center_max;
EXTERN Param_value y_center_value;
/* levels_popup */
EXTERN Param_value base_level;
EXTERN Param_value number_levels;
EXTERN Param_value change_levels;
EXTERN Param_value change_mode;
EXTERN Param_value level_modifier;
EXTERN Param_value timer_mode;
/* object_popup */
EXTERN Param_value pos_visible;
EXTERN Param_value neg_visible;
EXTERN Param_value col_visible;
EXTERN Param_value row_visible;
EXTERN Param_value cross_visible;
EXTERN Param_value grid_visible;
EXTERN Param_value ruler_visible;
EXTERN Param_value pos_color;
EXTERN Param_value neg_color;
EXTERN Param_value col_color;
EXTERN Param_value row_color;
EXTERN Param_value cross_color;
EXTERN Param_value grid_color;
EXTERN Param_value ruler_color;
EXTERN Param_value default_color;
EXTERN Param_value default_visible;
EXTERN Param_value major_ticks;
EXTERN Param_value minor_ticks;
/* output_popup */
EXTERN Param_value output_file;
EXTERN Param_value output_title;
EXTERN Param_value output_size;
EXTERN Param_value size_mode;
EXTERN Param_value size_units;
EXTERN Param_value display_mode;
EXTERN Param_value display_mode;
EXTERN Param_value time_date;
EXTERN Param_value show_name;
EXTERN Param_value tick_place;
EXTERN Param_value tick_show;
EXTERN Param_value paper_size;
EXTERN Param_value other_size;
EXTERN Param_value paper_dirn;
EXTERN Param_value output_color;
EXTERN Param_value output_gl;
/* peaks_popup */
EXTERN Param_value peaks_file;
/* phase_popup */
EXTERN Param_value phase_on_off;
EXTERN Param_value phase_pivot;
EXTERN Param_value phase0_min;
EXTERN Param_value phase0_max;
EXTERN Param_value phase0_value;
EXTERN Param_value phase1_min;
EXTERN Param_value phase1_max;
EXTERN Param_value phase1_value;
/* prop_popup */
EXTERN Param_value object_color;
EXTERN Param_value object_scale;
EXTERN Param_value object_visible;
/* region_popup */
EXTERN Param_value x_region;
EXTERN Param_value y_region;
EXTERN Param_value region_ref;
EXTERN Param_value position_name;
EXTERN Param_value stats_use_file;
EXTERN Param_value statistics_file;
/* rowcol_popup */
EXTERN Param_value point_range;
EXTERN Param_value rowcol_ref;
EXTERN Param_value point_ruler;
EXTERN Param_value point_axis;
EXTERN Param_value value_range;
EXTERN Param_value value_ruler;
EXTERN Param_value value_axis;
EXTERN Param_value row_col;
EXTERN Param_value new_add;
EXTERN Param_value rows_cols;
/* save_popup */
EXTERN Param_value save_data;
EXTERN Param_value save_param;
EXTERN Param_value save_region;
/* slice_popup */
EXTERN Param_value slice_width;
EXTERN Param_value slice_height;
/* tracking_popup */
EXTERN Param_value tracking_width;
EXTERN Param_value tracking_height;

#endif /* _incl_param_value */
