#ifndef _incl_opus
#define _incl_opus

#include "macros.h"
#include "types.h"

typedef void (*Ignore_func)(float *data);

extern Status init_opus
	(int ndim, int *npnts_in, int *npnts_out,
	int *ignore, int **ignore_list, Ignore_func *ignore_func,
	Bool *sample_found, int *sample, int **sample_list,
	Bool sample2_found, int *sample2, int *sample2_list,
	Bool sample3_found, int *sample3, int *sample3_list,
	int *fft_code, Bool *have_phase, int *phase_code,
	Bool *have_decay, float *decay,
	Transform *opus, Transform *tropus, String error_msg);

#endif /* _incl_opus */
