#ifndef _incl_phase
#define _incl_phase

#include "macros.h"
#include "types.h"
#include "consts.h"

extern void do_phase
	(int code, float *data);

extern void do_phase_ramp
	(int code, float *data);

extern Status init_phase
        (Generic_ptr *param, String error_msg);

extern Status init_phase2
        (Generic_ptr *param, String error_msg);

extern Status init_phase_ramp
        (Generic_ptr *param, String error_msg);

extern Status init_phase_max
        (int *code, int npts, Generic_ptr *param, String error_msg);

extern Status init_phase2_max
        (int *code, int npts, Generic_ptr *param, String error_msg);

extern Status init_phase_avance
        (int *code, int npts, float ph0, float ph1, String error_msg);

#endif /* _incl_phase */
