#ifndef _incl_script
#define _incl_script

#include "macros.h"
#include "types.h"
#include "consts.h"
#include "defns.h"

#include "command.h"
#include "ref.h"

extern Status read_script_file
	(String file, Size_info *size_info, Ref_info **p_ref,
			File_info *file_info, int *p_nscripts,
			Script **p_scripts, String error_msg);

extern Ref_info *get_reference
	();

extern void get_params
	(int *p_param_dim, float **p_params, float **p_sigmas);

#endif /* _incl_script */
